

import java.awt.Component;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.AbstractAction;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;

/**
 * Kuuntelija erillisen luokkana. 
 * 
 *
 */
public class LAFActionListener implements ActionListener {

	private Component parent;
	
	
	/**
	 * Isntkomponenttia tarvitaan koko komponenttipuun pivittmiseen,
	 * joka tehdn laf:n vaihdon jlkeen.
	 * 
	 * @param parent Isntkomponentti
	 */
	public LAFActionListener(Component parent) {
		this.parent = parent;
	}
	
	/**
	 * Pivitt lafin. Action command sislt uuden lafin toteuttavan luokan nimen.
	 * 
	 */
	public void actionPerformed(ActionEvent e) {
		try {
			UIManager.setLookAndFeel(e.getActionCommand());
			SwingUtilities.updateComponentTreeUI(parent);
			
		} catch (Exception ex) {
			// puihin meni (joskaan ei pitisi koska ainoastaan asennettuja lafeja voidaan valita)
			ex.printStackTrace();
		}
		
	}

}
