<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="3.2" encoding="utf-8" indent="no" omit-xml-declaration="yes"/>

<xsl:param name="last_update"/>

<!-- 
XSLT, joka leipoo RSS dokumentista 3.2 HTML:. Huomaa, ett templatessa
ei voida mritell head-tageja koska JEditorPanessa on bugi, jonka vuoksi
sivua ei nytet ollenkaan jos head-tagien sislt lytyy meta-mritys. 
XSLT taasen takoo meta-tagin lopulliseen dokumenttiin mikli siin 
ensiintyy head-osio. BugTackerista olin katsovinani, ett kyseinen virhe
olisi korjattu 1.5:ssa mutta ilmeisestikn ei ole.
 -->

<xsl:template match="channel">
<html>
<style type="text/css">
body {
	font-family: Arial;
	margin: 20px;		
}
b {
	font-size: 13px;
	color: black;
}
p {	
	font-size: 12px;
	color: #666666;	
}

#date {
	font-size: 8px;
}
</style>
<body>
	<xsl:apply-templates select="image"/>
	<xsl:apply-templates select="item"/>

</body>
</html>
</xsl:template>

<xsl:template match="image">
<xsl:element name="img">
	<xsl:attribute name="src"><xsl:value-of select="url"/></xsl:attribute>
</xsl:element>				
</xsl:template>

<xsl:template match="item">
<p>	
	<span id="date"><xsl:value-of select="pubDate"/></span>
	<br/>
	<b><xsl:value-of select="title"/></b>
	<br/>
	<xsl:value-of select="description"/>	
</p>
</xsl:template>


</xsl:stylesheet>